Bug 1413507 - [abrt] kf5-baloo-file: mdb_assert_fail(): baloo_file_extractor killed by SIGABRT
Summary: [abrt] kf5-baloo-file: mdb_assert_fail(): baloo_file_extractor killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kf5-baloo
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:68e96b63d1d873fb20f0ca7cf2d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-16 08:56 UTC by Oliver Sampson
Modified: 2017-08-08 19:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 19:34:38 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (36.35 KB, text/plain)
2017-01-16 08:56 UTC, Oliver Sampson
no flags Details
File: cgroup (242 bytes, text/plain)
2017-01-16 08:56 UTC, Oliver Sampson
no flags Details
File: core_backtrace (9.45 KB, text/plain)
2017-01-16 08:56 UTC, Oliver Sampson
no flags Details
File: dso_list (11.07 KB, text/plain)
2017-01-16 08:56 UTC, Oliver Sampson
no flags Details
File: environ (1.70 KB, text/plain)
2017-01-16 08:56 UTC, Oliver Sampson
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-16 08:56 UTC, Oliver Sampson
no flags Details
File: maps (50.42 KB, text/plain)
2017-01-16 08:56 UTC, Oliver Sampson
no flags Details
File: mountinfo (3.33 KB, text/plain)
2017-01-16 08:56 UTC, Oliver Sampson
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-16 08:56 UTC, Oliver Sampson
no flags Details
File: open_fds (176 bytes, text/plain)
2017-01-16 08:56 UTC, Oliver Sampson
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2017-01-16 08:56 UTC, Oliver Sampson
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-01-16 08:56 UTC, Oliver Sampson
no flags Details
File: backtrace (44.67 KB, text/plain)
2017-01-17 12:11 UTC, Oliver Sampson
no flags Details

Description Oliver Sampson 2017-01-16 08:56:05 UTC
Description of problem:
It happened at login

Version-Release number of selected component:
kf5-baloo-file-5.29.0-1.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 3
cmdline:        /usr/bin/baloo_file_extractor
crash_function: mdb_assert_fail
executable:     /usr/bin/baloo_file_extractor
global_pid:     1905
kernel:         4.8.16-200.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 mdb_assert_fail at mdb.c:1481
 #6 mdb_page_dirty at mdb.c:2065
 #7 mdb_page_alloc at mdb.c:2246
 #8 mdb_page_new at mdb.c:6940
 #9 mdb_node_add at mdb.c:7081
 #10 mdb_cursor_put at mdb.c:6697
 #11 mdb_put at mdb.c:8771
 #12 Baloo::PositionDB::put(QByteArray const&, QVector<Baloo::PositionInfo> const&)
 #13 Baloo::WriteTransaction::commit()
 #14 Baloo::Transaction::commit()

Potential duplicate: bug 1270372

Comment 1 Oliver Sampson 2017-01-16 08:56:13 UTC
Created attachment 1241141 [details]
File: backtrace

Comment 2 Oliver Sampson 2017-01-16 08:56:14 UTC
Created attachment 1241142 [details]
File: cgroup

Comment 3 Oliver Sampson 2017-01-16 08:56:16 UTC
Created attachment 1241143 [details]
File: core_backtrace

Comment 4 Oliver Sampson 2017-01-16 08:56:17 UTC
Created attachment 1241144 [details]
File: dso_list

Comment 5 Oliver Sampson 2017-01-16 08:56:19 UTC
Created attachment 1241145 [details]
File: environ

Comment 6 Oliver Sampson 2017-01-16 08:56:20 UTC
Created attachment 1241146 [details]
File: limits

Comment 7 Oliver Sampson 2017-01-16 08:56:22 UTC
Created attachment 1241147 [details]
File: maps

Comment 8 Oliver Sampson 2017-01-16 08:56:23 UTC
Created attachment 1241148 [details]
File: mountinfo

Comment 9 Oliver Sampson 2017-01-16 08:56:25 UTC
Created attachment 1241149 [details]
File: namespaces

Comment 10 Oliver Sampson 2017-01-16 08:56:26 UTC
Created attachment 1241150 [details]
File: open_fds

Comment 11 Oliver Sampson 2017-01-16 08:56:28 UTC
Created attachment 1241151 [details]
File: proc_pid_status

Comment 12 Oliver Sampson 2017-01-16 08:56:29 UTC
Created attachment 1241152 [details]
File: var_log_messages

Comment 13 Oliver Sampson 2017-01-17 12:11:14 UTC
Similar problem has been detected:

It happened at login.

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/bin/baloo_file_extractor
crash_function: mdb_assert_fail
executable:     /usr/bin/baloo_file_extractor
global_pid:     29116
kernel:         4.8.16-200.fc24.x86_64
package:        kf5-baloo-file-5.29.0-1.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         baloo_file_extractor killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Oliver Sampson 2017-01-17 12:11:17 UTC
Created attachment 1241703 [details]
File: backtrace

Comment 15 Oliver Sampson 2017-01-19 12:23:11 UTC
Similar problem has been detected:

It happened when switching workspaces.

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/bin/baloo_file_extractor
crash_function: mdb_assert_fail
executable:     /usr/bin/baloo_file_extractor
global_pid:     17046
kernel:         4.8.16-200.fc24.x86_64
package:        kf5-baloo-file-5.29.0-1.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         baloo_file_extractor killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Oliver Sampson 2017-01-23 12:45:41 UTC
Similar problem has been detected:

It happened at login.

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/bin/baloo_file_extractor
crash_function: mdb_assert_fail
executable:     /usr/bin/baloo_file_extractor
global_pid:     14904
kernel:         4.8.16-200.fc24.x86_64
package:        kf5-baloo-file-5.29.0-1.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         baloo_file_extractor killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 Oliver Sampson 2017-02-21 13:04:56 UTC
Similar problem has been detected:

It happened at login

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/bin/baloo_file_extractor
crash_function: mdb_assert_fail
executable:     /usr/bin/baloo_file_extractor
global_pid:     9053
kernel:         4.9.9-100.fc24.x86_64
package:        kf5-baloo-file-5.29.0-1.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         baloo_file_extractor killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 18 Fedora End Of Life 2017-07-26 00:11:41 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 19 Fedora End Of Life 2017-08-08 19:34:38 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.